Title
Consistent use of “appertain” and “apply”
Status
cd2
Section
9.12 [dcl.attr]
Submitter
Daveed Vandevoorde

Created on 2009-09-28.00:00:00 last changed 143 months ago

Messages

Date: 2010-03-15.00:00:00

[Voted into WP at March, 2010 meeting.]

Date: 2009-10-15.00:00:00

Proposed resolution (October, 2009):

  1. Change 9.12.1 [dcl.attr.grammar] paragraph 4 as follows:

  2. ...If an attribute-specifier that appertains to some entity or statement contains an attribute that does not is not allowed to apply to that entity or statement, the program is ill-formed...
  3. Change 9.12.2 [dcl.align] paragraph 1 as follows:

  4. ...The attribute can may be applied to a variable...
  5. Change 9.12.9 [dcl.attr.noreturn] paragraph 1 as follows:

  6. ...The attribute applies may be applied to the declarator-id in a function declaration...
  7. Change _N3225_.7.6.4 [dcl.attr.final] paragraph 1 as follows:

  8. ...The attribute applies may be applied to class definitions...
  9. Change _N3225_.7.6.5 [dcl.attr.override] paragraph 1 as follows:

  10. ...The attribute applies may be applied to virtual member functions...
  11. Change _N3225_.7.6.5 [dcl.attr.override] paragraph 3 as follows:

  12. ...The attribute applies may be applied to class members...
  13. Change _N3225_.7.6.5 [dcl.attr.override] paragraph 5 as follows:

  14. ...The attribute applies may be applied to a class definition.
  15. Change 9.12.3 [dcl.attr.depend] paragraph 1 as follows:

  16. ...The attribute applies may be applied to the declarator-id of a parameter-declaration... The attribute may also applies be applied to the declarator-id of a function declaration...
Date: 2009-09-28.00:00:00

The terms “appertain” and “apply” are used in different ways in different subsections of 9.12 [dcl.attr]. A thorough editorial sweep of the entire section is needed to regularize their usage.

History
Date User Action Args
2010-03-29 00:00:00adminsetmessages: + msg2696
2010-03-29 00:00:00adminsetstatus: ready -> cd2
2009-11-08 00:00:00adminsetmessages: + msg2356
2009-11-08 00:00:00adminsetstatus: open -> ready
2009-09-28 00:00:00admincreate